package util

import com.intellij.openapi.diagnostic.logger
import com.intellij.psi.PsiElement
import com.intellij.psi.codeStyle.CodeStyleManager
import com.jetbrains.lang.dart.ide.formatter.settings.DartLanguageCodeStyleSettingsProvider
import java.lang.StringBuilder

object CodeUtil {
    fun reformatDartCode(element: PsiElement) {
        val codeStyleManager = CodeStyleManager.getInstance(element.project)
        try {
            codeStyleManager.reformat(element)
        } catch (e: Exception) {
            logger<CodeUtil>().error("reformat code failed", e)
        }
    }

    fun toCamelCase(pageName: String): String {
        if (pageName.length < 2) {
            return pageName.toLowerCase()
        }
        return pageName[0].toLowerCase() + pageName.substring(1)
    }

    fun toFileName(pageName: String): String{
        val result = StringBuilder()
        for (i in pageName.indices) {
            val v = pageName[i];
            if (v.isUpperCase() && result.isNotEmpty()) {
                result.append("_")
            }
            result.append(v.toLowerCase())
        }

        return result.toString()
    }
}