package util

import com.intellij.notification.NotificationType
import com.intellij.openapi.project.Project
import com.intellij.notification.NotificationDisplayType

import com.intellij.notification.NotificationGroup
import constant.Constants

object NotifierUtil {
    private val NOTIFICATION_GROUP =
        NotificationGroup("Custom Notification Group", NotificationDisplayType.BALLOON, true)

    fun showNotifier(
        project: Project,
        content: String,
        title: String? = null,
        type: NotifierType = NotifierType.INFO
    ) = NOTIFICATION_GROUP
        .createNotification(title.let { "${Constants.title} ${type.name}" }, content, getNotifierByType(type))
        .notify(project);

    private fun getNotifierByType(type: NotifierType): NotificationType {
        return when (type) {
            NotifierType.INFO -> NotificationType.INFORMATION
            NotifierType.WARM -> NotificationType.WARNING
            NotifierType.ERROR -> NotificationType.ERROR
        }
    }
}

enum class NotifierType {
    INFO, WARM, ERROR
}